=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("varka")
add_translations_catalog("varka" ../lib/ ../lib/Widgets/ )
