=== debian/changelog ===
varka (0.1.0) oneiric; urgency=low

  * Initial release

 -- ammonkey <am.monkeyd@gmail.com>  Thu, 17 Nov 2011 20:29:02 +0100
