=== debian/control ===
Source: varka
Priority: extra
Maintainer: ammonkey <am.monkeyd@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), 
 build-essential,
 pkg-config,
 cmake,
 valac,
 libvala-0.14-dev,
 libgtk-3-dev,
 gobject-introspection,
 libgirepository1.0-dev,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 libtool
Standards-Version: 3.9.2
Section: libs
Homepage: http://launchpad.net/varka

Package: libvarka-dev
Section: libdevel
Architecture: any
Depends: libvarka0 (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6)
Description: Development files of varka.

Package: libvarka0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: A library on top of gtk to build applications.

Package: libvarka0-dbg
Section: debug
Architecture: any
Depends: libvarka0 (= ${binary:Version}),
 ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Enhances: libvarka0
Description: Debugging symbols of varka
