=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_STATIC=Yes

%:
	dh $@ 

override_dh_strip:
	dh_strip --dbg-package=libvarka0-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz
